Bug 144753 - Kernel panic on shutdown
Kernel panic on shutdown
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-11 02:40 EST by Bradley
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-16 09:36:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bradley 2005-01-11 02:40:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Kernel paniced on shutdown. Error message copied by hand:

kernel panic - not syncing: fs/proc/generic.c:521: spin_lock
(fs/file_table.c:c034aa10) already locked by fs/file_table.c/204

Caps lock and scroll lock lights were flashing.

magic sysreq didn't do anything (it was enabled via sysctl). There was
nothing in the logs about the panic, but the sysklogd shutdown message
was present so the oops happened at some point after that.

Version-Release number of selected component (if applicable):

How reproducible:
Hasn't happened before, and this is a desktop which gets shut down daily.

Steps to Reproduce:
1. Selected logout => shut down from gnome menu
2. Waited

Actual Results:  Kernel panic

Expected Results:  System should have powered off
Comment 1 Mike 2005-04-08 17:45:18 EDT
Under 2.6.10-1.770_FC3 the same message:

| kernel panic - not syncing: fs/proc/generic.c:521: spin_lock
| (fs/file_table.c:c034aa10) already locked by fs/file_table.c/204

As I remember its hapen during execution of '/etc/rc6.d/K90network' when downing
lo interface.

Mainboard is Gigabyte GA-7NF-RZ (bios up2dated, nforce2, using integrated
network and audio).
Comment 2 Dave Jones 2005-07-15 14:33:43 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Bradley 2005-07-16 09:36:20 EDT
Havne't seen this for a while

Note You need to log in before you can comment on or make changes to this bug.